# class DBus::Data::Signature

`Signature` string, zero or more single complete types. See also {DBus::Type}

### Public Class Methods

alignment() click to toggle source

        # File lib/dbus/data.rb
    486 def self.alignment
    487   1
    488 end

from_raw(value, mode:) click to toggle source

        # File lib/dbus/data.rb
    501 def self.from_raw(value, mode:)
    502   if mode == :plain
    503     _types = validate_raw!(value)
    504     return value
    505   end
    506
    507   new(value)
    508 end

size_class() click to toggle source

        # File lib/dbus/data.rb
    490 def self.size_class
    491   Byte
    492 end

type_code() click to toggle source

        # File lib/dbus/data.rb
    482 def self.type_code
    483   "g"
    484 end

validate_raw!(value) click to toggle source

@return [::Array<Type>]

        # File lib/dbus/data.rb
    495 def self.validate_raw!(value)
    496   DBus.types(value)
    497 rescue Type::SignatureException => e
    498   raise InvalidPacketException, "Invalid signature: #{e.message}"
    499 end